### Method

# Clutter Actor create_pango_layout

#### Declaration [src]

    PangoLayout*
    clutter_actor_create_pango_layout (
      ClutterActor* self,
      const gchar* text
    )

#### Description [src]

Creates a new `PangoLayout` from the same `PangoContext` used by the `ClutterActor`. The `PangoLayout` is already configured with the font map, resolution and font options, and the given `text`.

If you want to keep around a `PangoLayout` created by this function you will have to connect to the `ClutterBackend::font-changed` and `ClutterBackend::resolution-changed` signals, and call `pango_layout_context_changed()` in response to them.

#### Parameters

`text`

  Type: `const gchar*`

  The text to set on the `PangoLayout`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PangoLayout`

The newly created `PangoLayout`. Use `g_object_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.